# Unavailable deps
%bcond_with vertx
Name:          boon
Version:       0.29
Release:       1%{?dist}
Summary:       Simple opinionated Java for the novice to expert level Java Programmer
License:       ASL 2.0
URL:           https://github.com/boonproject/boon/wiki
Source0:       https://github.com/boonproject/boon/archive/%{name}-bundle-%{version}.tar.gz

BuildRequires: mvn(com.esotericsoftware.kryo:kryo)
%if %{with vertx}
BuildRequires: mvn(io.vertx:vertx-core:2.1.2)
BuildRequires: mvn(io.vertx:vertx-platform)
BuildRequires: mvn(io.vertx:vertx-hazelcast)
BuildRequires: mvn(io.vertx:testtools:2.0.3-final)
BuildRequires: mvn(io.vertx:vertx-maven-plugin:2.0.8-final)
%endif
BuildRequires: mvn(mysql:mysql-connector-java)
BuildRequires: mvn(org.fusesource.leveldbjni:leveldbjni-all)
BuildRequires: mvn(org.iq80.leveldb:leveldb)
# BuildRequires: mvn(org.mongodb:mongo-java-driver)

%if %{?fedora} < 21
BuildRequires: mvn(org.fusesource:fusesource-pom)
BuildRequires: mvn(org.sonatype.oss:oss-parent)
%else
BuildRequires: mvn(org.fusesource:fusesource-pom:pom:)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
%endif

# Test dependencies
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.codehaus.groovy:groovy)

BuildRequires: maven-local

BuildArch:     noarch

%description
Boon comes with helper methods that allow you to easily create lists,
sets, maps, concurrent maps, sorted maps, sorted sets, etc. 

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-bundle-%{version}
find . -name "*.class" -delete
find . -name "*.jar" -delete

%pom_disable_module etcd
%pom_disable_module vertx-qbit qbit
%pom_disable_module slumberdb-service slumberdb
%pom_disable_module slumberdb-service-client slumberdb

%pom_remove_plugin :maven-source-plugin

# guava >= 18.0
rm -r boon/src/test/java/org/boon/bugs/Bugs231.java
# @ random fail
rm -r qbit/qbit/src/test/java/org/qbit/IntegrationTestForRESTStyleCallsTest.java \
 slumberdb/slumberdb-leveldb/src/test/java/org/boon/slumberdb/leveldb

%build

%mvn_build -f

%install
%mvn_install 

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE README.md

%files javadoc -f .mfiles-javadoc
%doc LICENSE

%changelog
* Tue Oct 14 2014 gil cattaneo <puntogil@libero.it> 0.29-1
- initial rpm
